#
# spec file for package python-breathe
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         oldpython python
%bcond_without  test
Name:           python-breathe
Version:        4.7.2
Release:        3.1
Summary:        Sphinx Doxygen renderer
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/michaeljones/breathe
Source:         https://files.pythonhosted.org/packages/source/b/breathe/breathe-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module Sphinx >= 1.4}
BuildRequires:  %{python_module docutils >= 0.5}
BuildRequires:  %{python_module six >= 1.4}
%endif
Requires:       python-Sphinx >= 1.4
Requires:       python-docutils >= 0.5
Requires:       python-six >= 1.4
%ifpython2
Obsoletes:      %{oldpython}-sphinxcontrib-breathe < %{version}
Provides:       %{oldpython}-sphinxcontrib-breathe = %{version}
%endif
%ifpython3
Provides:       python3-sphinxcontrib-breathe = %{version}
Obsoletes:      python3-sphinxcontrib-breathe <= %{version}
%endif
BuildArch:      noarch

%python_subpackages

%description
Breathe is an extension to reStructuredText and Sphinx to be
able to read and  render Doxygen xml output.

%prep
%setup -q -n breathe-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/breathe-apidoc

%post
%{python_install_alternative breathe-apidoc}

%postun
%{python_uninstall_alternative breathe-apidoc}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%python_alternative %{_bindir}/breathe-apidoc
%{python_sitelib}/breathe
%{python_sitelib}/breathe-%{version}-py*.egg-info

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Mon Sep 18 2017 toddrme2178@gmail.com
- Fix provides/obsoletes
* Fri Sep  8 2017 toddrme2178@gmail.com
- Initial version
